View Issue Details

IDProjectCategoryLast Update
0024562AI War 2Gameplay IssueMar 25, 2021 9:50 am
ReporterBadgerBadger Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.757 Super Mega Exciting Sidebar 
Fixed in VersionBeta 2.763 QoL Explosion 
Summary0024562: MP errors
DescriptionErrors from a MP client from a game last saturday.

Short version:
ArgumentOutOfRangeException
  at System.Text.StringBuilder.ToString () [0x000a6] in <9577ac7a62ef43179789031239ba8798>:0
  at Arcen.AIW2.Core.Faction.GetDisplayNameInternal (System.Boolean GetShortVersion) [0x002e0] in <b78ff9b8f3f8499cb49ad785866f83a5>:0


3/13/2021 8:21:27 PM 2.757 CLIENT Exception in entity tooltip text generation at stage 15010102:System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.WriteTechThatBenefits (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.TechUpgrade upgrade, Arcen.AIW2.Core.Faction localFaction, System.Int32& debugStage) [0x0002b] in <3ded19fdbd2e402789c3831b73730a20>:0
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags) [0x0b91c] in <3ded19fdbd2e402789c3831b73730a20>:0
  at System.Environment.get_StackTrace () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0

3/13/2021 8:34:12 PM 2.757 CLIENT DoSystemStep error at debugStage 13000, error: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.EntitySimLogicImplementation.ActuallyFireSalvoAtTargetPriorityList (Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.Core.EntitySystem System, System.Boolean trace, Arcen.Universal.ArcenCharacterBuffer tracingBuffer) [0x001fc] in <3ded19fdbd2e402789c3831b73730a20>:0at Arcen.AIW2.External.EntitySimLogicImplementation.DoSystemStep (Arcen.Universal.FInt EffectiveDeltaTime, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.Core.EntitySystem System) [0x0043a] in <3ded19fdbd2e402789c3831b73730a20>:0


3/13/2021 8:34:13 PM 2.757 CLIENT Failed to spawn new squad of type Stingray from stack of size 8
  at Arcen.AIW2.Core.GameEntity_Squad.EjectEntireStackFromMyselfIfPresent (Arcen.AIW2.Core.ArcenSimContext Context, System.Int32 OptionalOverkillDa\
mage, System.Boolean WasSelected) [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0

3/13/2021 9:37:11 PM 2.757 CLIENT Hit exception in strength counting debugCode 300 System.NullReferenceException: Object reference not set to\
 an instance of an object
  at Arcen.AIW2.External.StrengthCounting.DelegateHelper_DoCombatStep_StrengthCounting (Arcen.AIW2.Core.GameEntity_Squad entity) [0x001a8] in <3ded\
19fdbd2e402789c3831b73730a20>:0


TagsNo tags attached.

Activities

BadgerBadger

Mar 15, 2021 6:36 pm

manager  

notes.txt (20,413 bytes)   
Chris, this is an annotated and edited version of my ArcenDebugLog.txt. I was an MP client in this game.
We had 3 other players from around the US tonight.

<I saw a very surprisingly high number of times.>
3/13/2021 7:53:45 PM	2.757	CLIENT	Error in thread for execution context 'executionContext'
ArgumentOutOfRangeException
Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: chunkLength
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	ToString	166	355	0	0
	GetDisplayNameInternal	736	1807	0	0
	GetDisplayName	1	15	0	0
	Safe_DoPerSecondLogic_Stage1Clearing_OnMainThreadAndPartOfSim	47	379	0	0
	<DoWorldSecondLogic_FromSimBGThread>b__0	71	159	0	0
	DoForFactions	18	101	0	0
	DoWorldSecondLogic_FromSimBGThread	245	715	0	0
	DoWorld_Second_PerSecondLogic	101	315	0	0
	DoWorldStepLogic_FromSimBGThread	116	247	0	0
	Execute	186	448	0	0
===RAW STACK TRACE===
  at System.Text.StringBuilder.ToString () [0x000a6] in <9577ac7a62ef43179789031239ba8798>:0  
  at Arcen.AIW2.Core.Faction.GetDisplayNameInternal (System.Boolean GetShortVersion) [0x002e0] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.Core.Faction.GetDisplayName () [0x00001] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.Core.Faction.Safe_DoPerSecondLogic_Stage1Clearing_OnMainThreadAndPartOfSim (Arcen.AIW2.Core.ArcenSimContext Context) [0x0002f] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation+<>c__DisplayClass69_0.<DoWorldSecondLogic_FromSimBGThread>b__0 (Arcen.AIW2.Core.Faction faction) [0x00047] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00012] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation.DoWorldSecondLogic_FromSimBGThread (Arcen.AIW2.Core.ArcenSimContext Context) [0x000f5] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation.DoWorld_Second_PerSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00065] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation.DoWorldStepLogic_FromSimBGThread (Arcen.AIW2.Core.ArcenSimContext Context) [0x00074] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.SimExecution.Execute () [0x000ba] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at System.Environment.get_StackTrace () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0


<I saw this a really really large number of times>
3/13/2021 8:21:27 PM	2.757	CLIENT	Exception in entity tooltip text generation at stage 15010102:System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.WriteTechThatBenefits (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.TechUpgrade upgrade, Arcen.AIW2.Core.Faction localFaction, System.Int32& debugStage) [0x0002b] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags) [0x0b91c] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at System.Environment.get_StackTrace () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at ArcenGameController.Update () [0x00000] in <36858076bed84b2db389eb6da6b20ae4>:0 

<Also a bunch of these>
3/13/2021 8:28:35 PM	2.757	CLIENT	DoActualSimStep exception at debugStage 7900, exception: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.GameCommand_SplitStack.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00076] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x000cb] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals, System.String& reasonForNoVisualUpdates) [0x00983] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at System.Environment.get_StackTrace () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals, System.String& reasonForNoVisualUpdates) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections, System.String& reasonForNoVisualUpdates) [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at ArcenGameController.Update () [0x00000] in <36858076bed84b2db389eb6da6b20ae4>:0 

3/13/2021 8:30:41 PM	2.757	CLIENT	Checking if fully connected 
3/13/2021 8:34:12 PM	2.757	CLIENT	DoSystemStep error at debugStage 13000, error: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.EntitySimLogicImplementation.ActuallyFireSalvoAtTargetPriorityList (Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.Core.EntitySystem System, System.Boolean trace, Arcen.Universal.ArcenCharacterBuffer tracingBuffer) [0x001fc] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation.DoSystemStep (Arcen.Universal.FInt EffectiveDeltaTime, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.Core.EntitySystem System) [0x0043a] in <3ded19fdbd2e402789c3831b73730a20>:0 
3/13/2021 8:34:13 PM	2.757	CLIENT	Failed to spawn new squad of type Stingray from stack of size 8
  at System.Environment.get_StackTrace () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.AIW2.Core.GameEntity_Squad.EjectEntireStackFromMyselfIfPresent (Arcen.AIW2.Core.ArcenSimContext Context, System.Int32 OptionalOverkillDamage, System.Boolean WasSelected) [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation+<>c__DisplayClass40_0.<DoCombatStepForPlanet>b__2 (Arcen.AIW2.Core.GameEntity_Squad entity) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.Core.EntityCollection.DoForEntities (Arcen.AIW2.Core.GameEntity_Squad+ProcessorDelegate Processor) [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.Core.Planet.DoForEntities (Arcen.AIW2.Core.GameEntity_Squad+ProcessorDelegate Processor) [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation.DoCombatStepForPlanet (Arcen.AIW2.Core.Planet planet, Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation+<>c__DisplayClass55_0.<DoCombatPerStepLogic>b__0 (Arcen.AIW2.Core.Planet planet) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.Core.Galaxy.DoForPlanets (System.Boolean IncludeDestroyed, Arcen.AIW2.Core.Planet+ProcessorDelegate Processor) [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.Core.World_AIW2.DoForPlanets (System.Boolean IncludeDestroyed, Arcen.AIW2.Core.Planet+ProcessorDelegate Processor) [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation.DoCombatPerStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.EntitySimLogicImplementation.DoWorldStepLogic_FromSimBGThread (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
3/13/2021 9:37:11 PM	2.757	CLIENT	Hit exception in strength counting debugCode 300 System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.StrengthCounting.DelegateHelper_DoCombatStep_StrengthCounting (Arcen.AIW2.Core.GameEntity_Squad entity) [0x001a8] in <3ded19fdbd2e402789c3831b73730a20>:0 
3/13/2021 9:37:28 PM	2.757	CLIENT	Exception in entity tooltip text generation at stage 15010102:System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.WriteTechThatBenefits (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.TechUpgrade upgrade, Arcen.AIW2.Core.Faction localFaction, System.Int32& debugStage) [0x0002b] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags) [0x0b91c] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at System.Environment.get_StackTrace () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailFlags DetailFlags) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <3ded19fdbd2e402789c3831b73730a20>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <046fefdc3e124f58a90bfb2b8b142100>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <b78ff9b8f3f8499cb49ad785866f83a5>:0 
  at ArcenGameController.Update () [0x00000] in <36858076bed84b2db389eb6da6b20ae4>:0 
notes.txt (20,413 bytes)   

x4000Bughunter

Mar 25, 2021 9:32 am

administrator   ~0060886

Thanks!

* Fixed a bug in GetDisplayNameInternal() for factions that could still throw an exception during stringbuilder creation of names, because of the field we marked as ThreadStatic... not being static. Heh. This is more efficient now in general, as a side bonus.

x4000Bughunter

Mar 25, 2021 9:35 am

administrator   ~0060887

Oddly, neither of these should be any more or less likely in multiplayer versus solo so far!

* Fixed an exception that could happen when writing tooltips for units that were already maxed out at mark 7.

x4000Bughunter

Mar 25, 2021 9:43 am

administrator   ~0060888

* A mysterious error in ActuallyFireSalvoAtTargetPriorityList() appeared in a multiplayer game, but we have no idea what it was. That code has now been fully instrumented so that next time it happens, we can actually fix it. It is either MP-specific, or related to a new feature on the beta branch, probably.

x4000Bughunter

Mar 25, 2021 9:45 am

administrator   ~0060889

* Fixed an oversight that would lead to exceptions on EjectEntireStackFromMyselfIfPresent() on multiplayer clients. That code simply should not be run on clients.

x4000Bughunter

Mar 25, 2021 9:49 am

administrator   ~0060890

* Fixed an exception that could happen in strength counting, mostly in a cross-threading fashion but maybe slightly more likely in multiplayer. A side effect of this change is that the code is also very slightly more efficient now, too.

x4000Bughunter

Mar 25, 2021 9:50 am

administrator   ~0060891

Sweet! Thanks for the great report, this should be much smoother now. :)

Issue History

Date Modified Username Field Change
Mar 15, 2021 6:36 pm BadgerBadger New Issue
Mar 15, 2021 6:36 pm BadgerBadger Status new => assigned
Mar 15, 2021 6:36 pm BadgerBadger Assigned To => x4000Bughunter
Mar 15, 2021 6:36 pm BadgerBadger File Added: notes.txt
Mar 25, 2021 9:32 am x4000Bughunter Note Added: 0060886
Mar 25, 2021 9:35 am x4000Bughunter Note Added: 0060887
Mar 25, 2021 9:43 am x4000Bughunter Note Added: 0060888
Mar 25, 2021 9:45 am x4000Bughunter Note Added: 0060889
Mar 25, 2021 9:49 am x4000Bughunter Note Added: 0060890
Mar 25, 2021 9:50 am x4000Bughunter Status assigned => resolved
Mar 25, 2021 9:50 am x4000Bughunter Resolution open => fixed
Mar 25, 2021 9:50 am x4000Bughunter Fixed in Version => Beta 2.763 QoL Explosion
Mar 25, 2021 9:50 am x4000Bughunter Note Added: 0060891